import QtQuick 2.0
import QtQuick.Layouts 1.3

import org.kde.kirigami 2.0 as Kirigami

import "../kirigami-new/kirigami-patched" as KirigamiPatched

KirigamiPatched.ScrollablePage {
    title: "Feeds"
    anchors.fill: parent

    //property var currentNewsModel
    signal newsModelChanged(var model)
    signal feedClicked()

    ListView {
        anchors.fill: parent
        model: 50
        delegate: Kirigami.AbstractListItem {
            RowLayout {
                Kirigami.Label {
                    text: "Feed name"
                    Layout.fillWidth: true
                }
                Kirigami.Label {
                    text: "100"
                }
            }
            onClicked: feedClicked()
        }
    }

}
