#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QDir>

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;

    // main.qml expected in ../kirigami-rssfeeds/
    QDir path = QCoreApplication::applicationDirPath();
    path.cdUp();
    path.cd("kirigami-simplest");

    engine.load(QUrl(path.absolutePath() + "/main.qml"));

    return app.exec();
}
